## Index

### Functions

- resolveAttributeValueNameConflicts

## Functions

### resolveAttributeValueNameConflicts

- resolveAttributeValueNameConflicts(expression: Expression, params: QueryInput | ScanInput | UpdateItemInput): Expression

- - Defined in dynamo/expression/functions/resolve-attribute-value-name-conflicts.function.ts:12

  resolves name conflict when expression uses an attributeValueName that is already used in given *Input

  #### Parameters

  - ##### expression: Expression

  - ##### params: QueryInput | ScanInput | UpdateItemInput

  #### Returns Expression

  safe-to-use Expression

Generated using TypeDoc